/*
 * Copyright (c) 2009 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _SAHANDPRIVATE_H
#define _SAHANDPRIVATE_H

/* Commands to be sent */
#define SAH_COMMAND_SET_CONTROLLER		0x0001
#define SAH_COMMAND_SET_THUMB_ANGLE		0x0002
#define SAH_COMMAND_SET_THUMB_BRAKE		0x0004
#define SAH_COMMAND_MOVE_HAND			0x0008
#define SAH_COMMAND_SET_STIFFNESS_FACTOR	0x0010

/* Is a port active ? */
#define SAHAND_PORT_ACTIVE(i) \
	(SDI_F->sah_state[(i)].ss_config != SAH_CONFIG_NOT_PRESENT)


#endif
